# Add new build

> **Required Permission:** `mad.build.management.create` Add new build

Source: https://docs.applivery.com/en/api/app-distribution/build/post-organizations-organizationid-apps-applicationid-builds/

---

# Add new build

**Required Permission:** `mad.build.management.create`

Add new build

**Request:** `POST https://api.applivery.io/v1/organizations/:organizationId/apps/:applicationId/builds`

## OpenAPI specification

Machine-readable endpoint definition (dereferenced OpenAPI operation).

```json
{
  "method": "POST",
  "path": "/organizations/:organizationId/apps/:applicationId/builds",
  "baseUrl": "https://api.applivery.io/v1",
  "servers": [
    {
      "url": "https://api.applivery.io/v1"
    }
  ],
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "auth": {
    "type": "http",
    "scheme": "bearer",
    "header": "Authorization",
    "format": "Bearer <token>"
  },
  "permission": "mad.build.management.create",
  "parameters": [
    {
      "name": "organizationId",
      "description": "",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "pattern": "^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\\\-]{3,}))$"
      }
    },
    {
      "name": "applicationId",
      "description": "",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "pattern": "^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\\\-]{3,}))$"
      }
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "externalFileUrl": {
              "type": "string",
              "maxLength": 500
            },
            "externalFileChecksum": {
              "type": "string",
              "maxLength": 500
            },
            "versionName": {
              "type": "string",
              "maxLength": 256
            },
            "tags": {
              "type": "string"
            },
            "changelog": {
              "type": "string",
              "maxLength": 15000
            },
            "notifyCollaborators": {
              "anyOf": [
                {
                  "type": "boolean"
                },
                {
                  "type": "string"
                }
              ]
            },
            "notifyEmployees": {
              "anyOf": [
                {
                  "type": "boolean"
                },
                {
                  "type": "string"
                }
              ]
            },
            "notifyOtpUsers": {
              "anyOf": [
                {
                  "type": "boolean"
                },
                {
                  "type": "string"
                }
              ]
            },
            "notifyMessage": {
              "type": "string",
              "maxLength": 1000
            },
            "notifyLanguage": {
              "type": "string",
              "enum": [
                "es",
                "en",
                "fr",
                "de",
                "it",
                "zh",
                "pt",
                "ru",
                ""
              ]
            },
            "useCustomUserAudienceIds": {
              "anyOf": [
                {
                  "type": "boolean"
                },
                {
                  "type": "string"
                }
              ]
            },
            "userAudienceIds": {
              "type": "array",
              "items": {
                "anyOf": [
                  {
                    "type": "string",
                    "maxLength": 128
                  },
                  {
                    "type": "string",
                    "enum": [
                      ""
                    ]
                  }
                ]
              }
            },
            "filter": {
              "anyOf": [
                {
                  "type": "array",
                  "items": {
                    "type": "array",
                    "items": {
                      "type": "string",
                      "maxLength": 128
                    }
                  }
                },
                {
                  "type": "string",
                  "maxLength": 1024
                }
              ]
            },
            "metadata": {
              "type": "object",
              "additionalProperties": {}
            },
            "defaultScripts": {
              "type": "object",
              "properties": {
                "preInstall": {
                  "type": "string"
                },
                "postInstall": {
                  "type": "string"
                },
                "audit": {
                  "type": "string"
                },
                "enforce": {
                  "type": "string"
                },
                "runner": {
                  "type": "string"
                }
              }
            },
            "buildPlatform": {
              "type": "string",
              "maxLength": 128
            },
            "packageName": {
              "type": "string",
              "maxLength": 256
            },
            "packageVersion": {
              "type": "string",
              "maxLength": 256
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "status": {
                "type": "boolean"
              },
              "data": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string",
                    "pattern": "^[a-fA-F0-9]{24}$"
                  },
                  "organizationInfo": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "pattern": "^[a-fA-F0-9]{24}$"
                      },
                      "name": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "slug": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "picture": {
                        "type": "string"
                      },
                      "createdBy": {
                        "type": "string",
                        "pattern": "^[a-fA-F0-9]{24}$"
                      },
                      "branding": {
                        "type": "object",
                        "properties": {
                          "logo": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "picture": {
                            "type": "string"
                          },
                          "primaryColor": {
                            "type": "string",
                            "maxLength": 256
                          }
                        }
                      },
                      "store": {
                        "type": "object",
                        "properties": {
                          "customDomain": {
                            "type": "string",
                            "maxLength": 256
                          }
                        }
                      },
                      "configuration": {
                        "type": "object",
                        "properties": {
                          "storageProvider": {
                            "type": "string",
                            "pattern": "^[a-fA-F0-9]{24}$"
                          }
                        }
                      }
                    },
                    "required": [
                      "id",
                      "name",
                      "slug"
                    ]
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "pending",
                      "in_progress",
                      "waiting_to_be_processed",
                      "processed",
                      "error"
                    ]
                  },
                  "tags": {
                    "type": "array",
                    "items": {
                      "nullable": true,
                      "type": "string",
                      "maxLength": 128
                    }
                  },
                  "versionName": {
                    "type": "string",
                    "maxLength": 256
                  },
                  "application": {
                    "type": "string",
                    "pattern": "^[a-fA-F0-9]{24}$"
                  },
                  "applicationInfo": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "pattern": "^[a-fA-F0-9]{24}$"
                      },
                      "name": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "slug": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "picture": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "id",
                      "name",
                      "slug"
                    ]
                  },
                  "changelog": {
                    "type": "string"
                  },
                  "file": {
                    "type": "object",
                    "properties": {
                      "originalName": {
                        "nullable": true,
                        "type": "string",
                        "maxLength": 256
                      },
                      "mimetype": {
                        "nullable": true,
                        "type": "string",
                        "maxLength": 128
                      },
                      "size": {
                        "nullable": true,
                        "type": "integer",
                        "minimum": 0,
                        "maximum": 9007199254740991
                      },
                      "bucket": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "key": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "location": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "region": {
                        "type": "string",
                        "maxLength": 128
                      },
                      "storageProviderId": {
                        "type": "string",
                        "pattern": "^[a-fA-F0-9]{24}$"
                      },
                      "checksum": {
                        "nullable": true,
                        "type": "string",
                        "maxLength": 256
                      },
                      "updatedAt": {
                        "type": "string"
                      },
                      "createdAt": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "size",
                      "bucket",
                      "key",
                      "location",
                      "storageProviderId"
                    ]
                  },
                  "fileSimulator": {
                    "type": "object",
                    "properties": {
                      "originalName": {
                        "nullable": true,
                        "type": "string",
                        "maxLength": 256
                      },
                      "mimetype": {
                        "nullable": true,
                        "type": "string",
                        "maxLength": 128
                      },
                      "size": {
                        "nullable": true,
                        "type": "integer",
                        "minimum": 0,
                        "maximum": 9007199254740991
                      },
                      "bucket": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "key": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "location": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "region": {
                        "type": "string",
                        "maxLength": 128
                      },
                      "storageProviderId": {
                        "type": "string",
                        "pattern": "^[a-fA-F0-9]{24}$"
                      },
                      "checksum": {
                        "nullable": true,
                        "type": "string",
                        "maxLength": 256
                      },
                      "updatedAt": {
                        "type": "string"
                      },
                      "createdAt": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "size",
                      "bucket",
                      "key",
                      "location",
                      "storageProviderId"
                    ]
                  },
                  "iconFile": {
                    "type": "object",
                    "properties": {
                      "originalName": {
                        "nullable": true,
                        "type": "string",
                        "maxLength": 256
                      },
                      "mimetype": {
                        "nullable": true,
                        "type": "string",
                        "maxLength": 128
                      },
                      "size": {
                        "nullable": true,
                        "type": "integer",
                        "minimum": 0,
                        "maximum": 9007199254740991
                      },
                      "bucket": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "key": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "location": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "region": {
                        "type": "string",
                        "maxLength": 128
                      },
                      "storageProviderId": {
                        "type": "string",
                        "pattern": "^[a-fA-F0-9]{24}$"
                      },
                      "checksum": {
                        "nullable": true,
                        "type": "string",
                        "maxLength": 256
                      },
                      "updatedAt": {
                        "type": "string"
                      },
                      "createdAt": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "size",
                      "bucket",
                      "key",
                      "location",
                      "storageProviderId"
                    ]
                  },
                  "info": {
                    "type": "object",
                    "properties": {
                      "icon": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "ios": {
                        "type": "object",
                        "properties": {
                          "plist": {
                            "type": "object",
                            "properties": {
                              "CFBundleName": {
                                "type": "string",
                                "maxLength": 256
                              },
                              "CFBundleDisplayName": {
                                "type": "string",
                                "maxLength": 256
                              },
                              "CFBundleVersion": {
                                "type": "string",
                                "maxLength": 256
                              },
                              "CFBundleShortVersionString": {
                                "type": "string",
                                "maxLength": 256
                              },
                              "CFBundleIdentifier": {
                                "type": "string",
                                "maxLength": 256
                              },
                              "CFBundleSupportedPlatforms": {
                                "type": "array",
                                "items": {
                                  "nullable": true,
                                  "type": "string",
                                  "maxLength": 128
                                }
                              },
                              "MinimumOSVersion": {
                                "type": "string",
                                "maxLength": 256
                              },
                              "CFBundleIcons": {
                                "type": "array",
                                "items": {
                                  "nullable": true,
                                  "type": "string",
                                  "maxLength": 128
                                }
                              },
                              "UIDeviceFamily": {
                                "type": "array",
                                "items": {
                                  "nullable": true,
                                  "type": "string",
                                  "maxLength": 128
                                }
                              }
                            },
                            "required": [
                              "CFBundleName",
                              "CFBundleVersion",
                              "CFBundleIdentifier",
                              "MinimumOSVersion",
                              "UIDeviceFamily"
                            ]
                          },
                          "mobileprovision": {
                            "type": "object",
                            "properties": {
                              "TeamIdentifier": {
                                "type": "string",
                                "maxLength": 256
                              },
                              "ProvisionsAllDevices": {
                                "anyOf": [
                                  {
                                    "type": "boolean"
                                  },
                                  {
                                    "type": "string"
                                  }
                                ]
                              },
                              "ProvisionedDevices": {
                                "type": "string"
                              },
                              "TeamName": {
                                "type": "string",
                                "maxLength": 256
                              },
                              "ExpirationDate": {
                                "type": "string"
                              },
                              "signingType": {
                                "type": "string",
                                "enum": [
                                  "appStore",
                                  "enterprise",
                                  "ad-hoc",
                                  "development",
                                  "testFlight"
                                ]
                              }
                            },
                            "required": [
                              "TeamIdentifier",
                              "TeamName",
                              "ExpirationDate"
                            ]
                          }
                        },
                        "required": [
                          "plist",
                          "mobileprovision"
                        ]
                      },
                      "android": {
                        "type": "object",
                        "properties": {
                          "versionCode": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "versionName": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "platformBuildVersionCode": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "platformBuildVersionName": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "packageName": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "minSDKVersion": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "targetSdkVersion": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "icon": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "productName": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "managedConfigurations": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "key": {
                                  "type": "string",
                                  "maxLength": 256
                                },
                                "title": {
                                  "type": "string",
                                  "maxLength": 256
                                },
                                "description": {
                                  "type": "string",
                                  "maxLength": 1000
                                },
                                "restrictionType": {
                                  "type": "string",
                                  "enum": [
                                    "NULL",
                                    "BOOL",
                                    "CHOICE",
                                    "MULTISELECT",
                                    "INTEGER",
                                    "STRING",
                                    "BUNDLE",
                                    "BUNDLE_ARRAY"
                                  ]
                                },
                                "defaultValue": {
                                  "anyOf": [
                                    {
                                      "type": "string"
                                    },
                                    {
                                      "type": "number"
                                    },
                                    {
                                      "type": "boolean"
                                    },
                                    {
                                      "type": "array",
                                      "items": {
                                        "type": "string"
                                      }
                                    }
                                  ]
                                },
                                "entries": {
                                  "type": "array",
                                  "items": {
                                    "type": "string"
                                  }
                                },
                                "entryValues": {
                                  "type": "array",
                                  "items": {
                                    "type": "string"
                                  }
                                },
                                "minValue": {
                                  "type": "number"
                                },
                                "maxValue": {
                                  "type": "number"
                                },
                                "visible": {
                                  "type": "boolean"
                                }
                              },
                              "required": [
                                "key",
                                "restrictionType"
                              ]
                            }
                          }
                        },
                        "required": [
                          "packageName",
                          "minSDKVersion"
                        ]
                      },
                      "pkg": {
                        "type": "object",
                        "properties": {
                          "CFBundleName": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "CFBundleDisplayName": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "CFBundleVersion": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "CFBundleShortVersionString": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "CFBundleIdentifier": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "CFBundleSupportedPlatforms": {
                            "type": "array",
                            "items": {
                              "nullable": true,
                              "type": "string",
                              "maxLength": 128
                            }
                          },
                          "MinimumOSVersion": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "relatedPkgs": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "distribution": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "active": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "auth": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "installKBytes": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "onConclusion": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "onConclusionScript": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "version": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "archiveKBytes": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "packageIdentifier": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "text": {
                                      "type": "string",
                                      "maxLength": 500
                                    }
                                  }
                                },
                                "plistInfo": {
                                  "type": "object",
                                  "properties": {
                                    "CFBundleName": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "CFBundleDisplayName": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "CFBundleVersion": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "CFBundleShortVersionString": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "CFBundleIdentifier": {
                                      "type": "string",
                                      "maxLength": 500
                                    },
                                    "CFBundleSupportedPlatforms": {
                                      "type": "array",
                                      "items": {
                                        "nullable": true,
                                        "type": "string",
                                        "maxLength": 128
                                      }
                                    },
                                    "MinimumOSVersion": {
                                      "type": "string",
                                      "maxLength": 500
                                    }
                                  }
                                },
                                "iconFile": {
                                  "type": "string",
                                  "maxLength": 500
                                }
                              },
                              "required": [
                                "distribution",
                                "plistInfo"
                              ]
                            }
                          }
                        },
                        "required": [
                          "CFBundleName",
                          "CFBundleVersion",
                          "CFBundleIdentifier",
                          "MinimumOSVersion"
                        ]
                      },
                      "app": {
                        "type": "object",
                        "properties": {
                          "CFBundleName": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "CFBundleDisplayName": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "CFBundleVersion": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "CFBundleShortVersionString": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "CFBundleIdentifier": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "CFBundleSupportedPlatforms": {
                            "type": "array",
                            "items": {
                              "nullable": true,
                              "type": "string",
                              "maxLength": 128
                            }
                          },
                          "CFBundlePackageType": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "LSMinimumSystemVersion": {
                            "type": "string",
                            "maxLength": 256
                          }
                        }
                      },
                      "msi": {
                        "type": "object",
                        "properties": {
                          "productCode": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "productVersion": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "productName": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "manufacturer": {
                            "type": "string",
                            "maxLength": 256
                          }
                        }
                      },
                      "exe": {
                        "type": "object",
                        "properties": {
                          "fileSize": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "fileVersionNumber": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "fileOS": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "fileDescription": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "fileVersion": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "originalFileName": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "productName": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "productVersion": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "companyName": {
                            "type": "string",
                            "maxLength": 256
                          }
                        }
                      },
                      "msixbundle": {
                        "type": "object",
                        "properties": {
                          "applicationsData": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "arch": {
                                  "type": "string",
                                  "maxLength": 128
                                },
                                "fileName": {
                                  "type": "string",
                                  "maxLength": 128
                                },
                                "size": {
                                  "type": "string",
                                  "maxLength": 128
                                },
                                "version": {
                                  "type": "string",
                                  "maxLength": 128
                                }
                              }
                            }
                          },
                          "packageName": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "version": {
                            "type": "string",
                            "maxLength": 128
                          }
                        },
                        "required": [
                          "applicationsData"
                        ]
                      },
                      "appxbundle": {
                        "type": "object",
                        "properties": {
                          "applicationsData": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "arch": {
                                  "type": "string",
                                  "maxLength": 128
                                },
                                "fileName": {
                                  "type": "string",
                                  "maxLength": 128
                                },
                                "size": {
                                  "type": "string",
                                  "maxLength": 128
                                },
                                "version": {
                                  "type": "string",
                                  "maxLength": 128
                                }
                              }
                            }
                          },
                          "packageName": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "version": {
                            "type": "string",
                            "maxLength": 128
                          }
                        }
                      },
                      "msix": {
                        "type": "object",
                        "properties": {
                          "displayName": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "publisherDisplayName": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "version": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "arch": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "name": {
                            "type": "string",
                            "maxLength": 128
                          }
                        }
                      },
                      "appx": {
                        "type": "object",
                        "properties": {
                          "displayName": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "publisherDisplayName": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "version": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "arch": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "name": {
                            "type": "string",
                            "maxLength": 128
                          }
                        }
                      },
                      "scripts": {
                        "type": "object",
                        "properties": {
                          "preInstall": {
                            "type": "string"
                          },
                          "postInstall": {
                            "type": "string"
                          }
                        }
                      },
                      "package": {
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "version": {
                            "type": "string",
                            "maxLength": 256
                          }
                        }
                      }
                    }
                  },
                  "size": {
                    "type": "integer",
                    "minimum": 0,
                    "maximum": 9007199254740991
                  },
                  "processTime": {
                    "type": "integer",
                    "minimum": 0,
                    "maximum": 9007199254740991
                  },
                  "queuedTime": {
                    "type": "integer",
                    "minimum": 0,
                    "maximum": 9007199254740991
                  },
                  "processedVersionName": {
                    "type": "string",
                    "maxLength": 128
                  },
                  "versionCode": {
                    "type": "string",
                    "maxLength": 128
                  },
                  "error": {
                    "type": "string"
                  },
                  "errorCode": {
                    "type": "string",
                    "maxLength": 128
                  },
                  "os": {
                    "type": "string",
                    "enum": [
                      "ios",
                      "android",
                      "aosp",
                      "macos",
                      "windows",
                      "package"
                    ]
                  },
                  "buildPlatform": {
                    "type": "string",
                    "maxLength": 128
                  },
                  "deployer": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "type": "string",
                        "maxLength": 128
                      },
                      "info": {
                        "type": "object",
                        "properties": {
                          "commitMessage": {
                            "type": "string"
                          },
                          "commit": {
                            "type": "string"
                          },
                          "branch": {
                            "type": "string",
                            "maxLength": 1000
                          },
                          "triggerTimestamp": {
                            "type": "string"
                          },
                          "buildUrl": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "ciUrl": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "repositoryUrl": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "buildNumber": {
                            "type": "string",
                            "maxLength": 256
                          },
                          "tag": {
                            "type": "string",
                            "maxLength": 256
                          }
                        }
                      }
                    }
                  },
                  "notifications": {
                    "type": "object",
                    "properties": {
                      "notifyCollaborators": {
                        "anyOf": [
                          {
                            "type": "boolean"
                          },
                          {
                            "type": "string"
                          }
                        ]
                      },
                      "notifyEmployees": {
                        "anyOf": [
                          {
                            "type": "boolean"
                          },
                          {
                            "type": "string"
                          }
                        ]
                      },
                      "notifyOtpUsers": {
                        "anyOf": [
                          {
                            "type": "boolean"
                          },
                          {
                            "type": "string"
                          }
                        ]
                      },
                      "message": {
                        "type": "string",
                        "maxLength": 1000
                      },
                      "language": {
                        "nullable": true,
                        "type": "string",
                        "enum": [
                          "es",
                          "en",
                          "fr",
                          "de",
                          "it",
                          "zh",
                          "pt",
                          "ru",
                          ""
                        ]
                      },
                      "filter": {
                        "type": "array",
                        "items": {
                          "type": "array",
                          "items": {
                            "nullable": true,
                            "type": "string",
                            "maxLength": 128
                          }
                        }
                      }
                    },
                    "required": [
                      "notifyCollaborators",
                      "notifyEmployees",
                      "notifyOtpUsers",
                      "filter"
                    ]
                  },
                  "uploadedBy": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "pattern": "^[a-fA-F0-9]{24}$"
                      },
                      "email": {
                        "type": "string",
                        "maxLength": 256,
                        "format": "email",
                        "pattern": "^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
                      },
                      "firstName": {
                        "type": "string",
                        "maxLength": 128
                      },
                      "lastName": {
                        "type": "string",
                        "maxLength": 128
                      },
                      "picture": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "id",
                      "email"
                    ]
                  },
                  "originalExtension": {
                    "type": "string",
                    "maxLength": 128
                  },
                  "storageProvider": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "pattern": "^[a-fA-F0-9]{24}$"
                      },
                      "name": {
                        "type": "string",
                        "maxLength": 128
                      },
                      "region": {
                        "type": "string",
                        "maxLength": 128
                      },
                      "config": {
                        "type": "string",
                        "maxLength": 128
                      },
                      "provider": {
                        "type": "string",
                        "maxLength": 128
                      }
                    },
                    "required": [
                      "id",
                      "provider"
                    ]
                  },
                  "processLogs": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "dateMs": {
                          "type": "integer",
                          "minimum": 0,
                          "maximum": 9007199254740991
                        },
                        "message": {
                          "type": "string"
                        }
                      },
                      "required": [
                        "dateMs",
                        "message"
                      ]
                    }
                  },
                  "files": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "maxLength": 128
                        },
                        "type": {
                          "type": "string",
                          "enum": [
                            "aab",
                            "attachment",
                            "original",
                            "package",
                            "icon"
                          ]
                        },
                        "description": {
                          "type": "string",
                          "maxLength": 256
                        },
                        "file": {
                          "type": "object",
                          "properties": {
                            "originalName": {
                              "nullable": true,
                              "type": "string",
                              "maxLength": 256
                            },
                            "mimetype": {
                              "nullable": true,
                              "type": "string",
                              "maxLength": 128
                            },
                            "size": {
                              "nullable": true,
                              "type": "integer",
                              "minimum": 0,
                              "maximum": 9007199254740991
                            },
                            "bucket": {
                              "type": "string",
                              "maxLength": 256
                            },
                            "key": {
                              "type": "string",
                              "maxLength": 256
                            },
                            "location": {
                              "type": "string",
                              "maxLength": 256
                            },
                            "region": {
                              "type": "string",
                              "maxLength": 128
                            },
                            "storageProviderId": {
                              "type": "string",
                              "pattern": "^[a-fA-F0-9]{24}$"
                            },
                            "checksum": {
                              "nullable": true,
                              "type": "string",
                              "maxLength": 256
                            },
                            "updatedAt": {
                              "type": "string"
                            },
                            "createdAt": {
                              "type": "string"
                            }
                          },
                          "required": [
                            "size",
                            "bucket",
                            "key",
                            "location",
                            "storageProviderId"
                          ]
                        },
                        "metadata": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "string"
                          }
                        }
                      },
                      "required": [
                        "id",
                        "type"
                      ]
                    }
                  },
                  "originalFile": {
                    "type": "object",
                    "properties": {
                      "originalName": {
                        "nullable": true,
                        "type": "string",
                        "maxLength": 256
                      },
                      "mimetype": {
                        "nullable": true,
                        "type": "string",
                        "maxLength": 128
                      },
                      "size": {
                        "nullable": true,
                        "type": "integer",
                        "minimum": 0,
                        "maximum": 9007199254740991
                      },
                      "bucket": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "key": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "location": {
                        "type": "string",
                        "maxLength": 256
                      },
                      "region": {
                        "type": "string",
                        "maxLength": 128
                      },
                      "storageProviderId": {
                        "type": "string",
                        "pattern": "^[a-fA-F0-9]{24}$"
                      },
                      "checksum": {
                        "nullable": true,
                        "type": "string",
                        "maxLength": 256
                      },
                      "updatedAt": {
                        "type": "string"
                      },
                      "createdAt": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "size",
                      "bucket",
                      "key",
                      "location",
                      "storageProviderId"
                    ]
                  },
                  "extraFiles": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "target": {
                          "type": "string"
                        },
                        "file": {
                          "type": "object",
                          "properties": {
                            "originalName": {
                              "nullable": true,
                              "type": "string",
                              "maxLength": 256
                            },
                            "mimetype": {
                              "nullable": true,
                              "type": "string",
                              "maxLength": 128
                            },
                            "size": {
                              "nullable": true,
                              "type": "integer",
                              "minimum": 0,
                              "maximum": 9007199254740991
                            },
                            "bucket": {
                              "type": "string",
                              "maxLength": 256
                            },
                            "key": {
                              "type": "string",
                              "maxLength": 256
                            },
                            "location": {
                              "type": "string",
                              "maxLength": 256
                            },
                            "region": {
                              "type": "string",
                              "maxLength": 128
                            },
                            "storageProviderId": {
                              "type": "string",
                              "pattern": "^[a-fA-F0-9]{24}$"
                            },
                            "checksum": {
                              "nullable": true,
                              "type": "string",
                              "maxLength": 256
                            },
                            "updatedAt": {
                              "type": "string"
                            },
                            "createdAt": {
                              "type": "string"
                            }
                          },
                          "required": [
                            "size",
                            "bucket",
                            "key",
                            "location",
                            "storageProviderId"
                          ]
                        }
                      },
                      "required": [
                        "target",
                        "file"
                      ]
                    }
                  },
                  "metadata": {
                    "type": "object",
                    "additionalProperties": {
                      "type": "string"
                    }
                  },
                  "buildProcessor": {
                    "type": "object",
                    "properties": {
                      "provider": {
                        "type": "string"
                      },
                      "runName": {
                        "type": "string"
                      },
                      "runId": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "provider",
                      "runName"
                    ]
                  },
                  "counts": {
                    "type": "object",
                    "properties": {
                      "downloads": {
                        "type": "object",
                        "additionalProperties": {}
                      },
                      "downloadByDay": {
                        "type": "object",
                        "additionalProperties": {}
                      },
                      "downloadsByMonth": {
                        "type": "object",
                        "additionalProperties": {}
                      }
                    }
                  },
                  "externalFileUrl": {
                    "type": "string",
                    "maxLength": 500
                  },
                  "disabled": {
                    "anyOf": [
                      {
                        "type": "boolean"
                      },
                      {
                        "type": "string"
                      }
                    ]
                  },
                  "extension": {
                    "type": "string"
                  },
                  "hasEmmJson": {
                    "anyOf": [
                      {
                        "type": "boolean"
                      },
                      {
                        "type": "string"
                      }
                    ]
                  },
                  "defaultScripts": {
                    "type": "object",
                    "properties": {
                      "preInstall": {
                        "type": "string"
                      },
                      "postInstall": {
                        "type": "string"
                      },
                      "audit": {
                        "type": "string"
                      },
                      "enforce": {
                        "type": "string"
                      },
                      "runner": {
                        "type": "string"
                      }
                    }
                  },
                  "updatedAt": {
                    "type": "string"
                  },
                  "createdAt": {
                    "type": "string"
                  }
                },
                "required": [
                  "id",
                  "status",
                  "tags",
                  "application",
                  "deployer",
                  "notifications",
                  "originalExtension",
                  "storageProvider",
                  "processLogs",
                  "files",
                  "metadata",
                  "extension",
                  "hasEmmJson",
                  "updatedAt",
                  "createdAt"
                ]
              }
            },
            "required": [
              "status",
              "data"
            ]
          }
        }
      }
    },
    "400": {
      "content": {
        "application/json": {
          "schema": {
            "allOf": [
              {
                "type": "object",
                "properties": {
                  "status": {
                    "type": "boolean",
                    "enum": [
                      false
                    ]
                  }
                }
              },
              {
                "type": "object",
                "properties": {
                  "error": {
                    "oneOf": [
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              5006
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "No File Found in request"
                            ]
                          }
                        }
                      },
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              5007
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "File extension not allowed"
                            ]
                          }
                        }
                      },
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              5017
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "Limit Exceeded"
                            ]
                          }
                        }
                      }
                    ]
                  }
                }
              }
            ]
          }
        }
      }
    },
    "401": {
      "content": {
        "application/json": {
          "schema": {
            "allOf": [
              {
                "type": "object",
                "properties": {
                  "status": {
                    "type": "boolean",
                    "enum": [
                      false
                    ]
                  }
                }
              },
              {
                "type": "object",
                "properties": {
                  "error": {
                    "oneOf": [
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              4002
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "No auth token"
                            ]
                          }
                        }
                      },
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              4004
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "Invalid Token"
                            ]
                          }
                        }
                      }
                    ]
                  }
                }
              }
            ]
          }
        }
      }
    },
    "404": {
      "content": {
        "application/json": {
          "schema": {
            "allOf": [
              {
                "type": "object",
                "properties": {
                  "status": {
                    "type": "boolean",
                    "enum": [
                      false
                    ]
                  }
                }
              },
              {
                "type": "object",
                "properties": {
                  "error": {
                    "oneOf": [
                      {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "number",
                            "enum": [
                              3001
                            ]
                          },
                          "message": {
                            "type": "string",
                            "enum": [
                              "Entity not found"
                            ]
                          }
                        }
                      }
                    ]
                  }
                }
              }
            ]
          }
        }
      }
    }
  }
}
```
